### Class

# Meta MonitorManager

#### Description [src]

    final class Meta.MonitorManager : GObject.Object
    {
      /* No available fields */
    }

A manager for multiple monitors

`MetaMonitorManager` is an abstract class which contains methods to handle multiple monitors (both `MetaMonitor` and `MetaLogicalMonitor`) and GPU’s (`MetaGpu`). Its functions include reading and/or changing the current configuration and available capabiliies.

The `MetaMonitorManager` also provides the “org.gnome.Mutter.DisplayConfig” DBus service, so apps like GNOME Settings can use this functionality.

#### Ancestors

- GObject

#### Instance methods

###### meta_monitor_manager_can_switch_config

No description available.

###### meta_monitor_manager_get_display_configuration_timeout

No description available.

###### meta_monitor_manager_get_is_builtin_display_on

Returns whether the built-in display (i.e. a laptop panel) is turned on.

###### meta_monitor_manager_get_monitor_for_connector

No description available.

###### meta_monitor_manager_get_panel_orientation_managed

No description available.

###### meta_monitor_manager_get_switch_config

No description available.

###### meta_monitor_manager_switch_config

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Meta.MonitorManager:backend

No description available.

###### Meta.MonitorManager:has-builtin-panel

No description available.

###### Meta.MonitorManager:night-light-supported

No description available.

###### Meta.MonitorManager:panel-orientation-managed

No description available.

#### Signals

###### Meta.MonitorManager::confirm-display-change

No description available.

###### Meta.MonitorManager::monitor-privacy-screen-changed

No description available.

###### Meta.MonitorManager::monitors-changed

No description available.

###### Meta.MonitorManager::monitors-changed-internal

No description available.

###### Meta.MonitorManager::power-save-mode-changed

No description available.

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct MetaMonitorManagerClass {
      /* no available fields */
    }

No description available.